package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.storage.StorageMdiskModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface MdiskProvider extends SuperProvider {
    public BocloudResult listByStorage(String storageUuid);

    default BocloudResult getByPath(String mdiskPath) {
        return null;
    }

    public BocloudResult listByVolume(String volumneUuid);

    public BocloudResult create(StorageMdiskModel model);
}
